# HG changeset patch
# Node ID 2f5aec3186b7
# Parent  d926130c6d12
diff --git a/gplugin/gplugin-core.c b/gplugin/gplugin-core.c
--- a/gplugin/gplugin-core.c
+++ b/gplugin/gplugin-core.c
@@ -24,14 +24,6 @@
 #include <gplugin/gplugin-private.h>
 
 /**
- * SECTION:gplugin-core
- * @title: Core API
- * @short_description: the core API
- *
- * This section contains the core API of GPlugin.
- */
-
-/**
  * GPluginCoreFlags:
  * @GPLUGIN_CORE_FLAGS_NONE: No flags.
  * @GPLUGIN_CORE_FLAGS_DISABLE_NATIVE_LOADER: Disable the native plugin loader.
diff --git a/gplugin/gplugin-loader.c b/gplugin/gplugin-loader.c
--- a/gplugin/gplugin-loader.c
+++ b/gplugin/gplugin-loader.c
@@ -19,20 +19,6 @@
 #include <gplugin/gplugin-loader.h>
 
 /**
- * SECTION:gplugin-loader
- * @title: Plugin Loader
- * @short_description: Abstract class for loading plugins
- *
- * GPluginLoader defines the base behavior for loaders of all languages.
- */
-
-/**
- * GPLUGIN_TYPE_LOADER:
- *
- * The standard _get_type macro for #GPluginLoader.
- */
-
-/**
  * GPluginLoader:
  *
  * An abstract class that should not be accessed directly.
diff --git a/gplugin/gplugin-manager.c b/gplugin/gplugin-manager.c
--- a/gplugin/gplugin-manager.c
+++ b/gplugin/gplugin-manager.c
@@ -28,15 +28,6 @@
 #include <gplugin/gplugin-private.h>
 
 /**
- * SECTION:gplugin-manager
- * @Title: Manager API
- * @Short_description: API for managing plugins
- *
- * The manager is used to manager all plugins in GPlugin.  This includes
- * loading, unloading, querying, checking for new plugins, and so on.
- */
-
-/**
  * GPluginManagerForeachFunc:
  * @id: The id of the plugin.
  * @plugins: (transfer none) (element-type GPlugin.Plugin): A [class@GLib.SList]
@@ -47,6 +38,16 @@
  */
 
 /**
+ * GPluginManager:
+ *
+ * The manager is responsible for querying plugins as well as telling loaders
+ * when to load and unload plugins. It also keeps track of paths that should be
+ * searched for plugins.
+ *
+ * Since: 0.32.0
+ */
+
+/**
  * GPluginManagerClass:
  * @loading_plugin: Signal emitted before a plugin is loaded.
  * @loaded_plugin: Signal emitted after a plugin is loaded.
diff --git a/gplugin/gplugin-native-loader.c b/gplugin/gplugin-native-loader.c
--- a/gplugin/gplugin-native-loader.c
+++ b/gplugin/gplugin-native-loader.c
@@ -23,25 +23,11 @@
 #include <gplugin/gplugin-native-plugin.h>
 #include <gplugin/gplugin-private.h>
 
-/**
- * SECTION:gplugin-native-loader
- * @title: Native Plugin Loader API
- * @short_description: the native plugin loader API
- *
- * This section contains the native plugin loader API of GPlugin.
- */
-
 #define GPLUGIN_QUERY_SYMBOL "gplugin_query"
 #define GPLUGIN_LOAD_SYMBOL "gplugin_load"
 #define GPLUGIN_UNLOAD_SYMBOL "gplugin_unload"
 
 /**
- * GPLUGIN_TYPE_NATIVE_LOADER:
- *
- * The standard _get_type macro for #GPluginNativeLoader.
- */
-
-/**
  * GPluginNativeLoader:
  *
  * A #GPluginLoader subclass that is able to load native plugins.
diff --git a/gplugin/gplugin-native-plugin.c b/gplugin/gplugin-native-plugin.c
--- a/gplugin/gplugin-native-plugin.c
+++ b/gplugin/gplugin-native-plugin.c
@@ -23,20 +23,6 @@
 #include <gplugin/gplugin-native-plugin.h>
 
 /**
- * SECTION:gplugin-native-plugin
- * @title: Native Plugin API
- * @short_description: the native plugin API
- *
- * This section contains the native plugin API of GPlugin.
- */
-
-/**
- * GPLUGIN_TYPE_NATIVE_PLUGIN:
- *
- * The standard _get_type macro for #GPluginNativePlugin.
- */
-
-/**
  * GPluginNativePlugin:
  *
  * An instance of a loaded native plugin.  A native plugin is a plugin that was
diff --git a/gplugin/gplugin-options.c b/gplugin/gplugin-options.c
--- a/gplugin/gplugin-options.c
+++ b/gplugin/gplugin-options.c
@@ -23,16 +23,6 @@
 #include <gplugin/gplugin-manager.h>
 #include <gplugin/gplugin-options.h>
 
-/**
- * SECTION:gplugin-options
- * @Title: Command line option support
- * @Short_description: command line option support
- *
- * This section contains #gplugin_get_option_group that makes it easy to
- * initialize GPlugin from your application when it is added to a
- * #GOptionContext.
- */
-
 /******************************************************************************
  * Options
  *****************************************************************************/
diff --git a/gplugin/gplugin-plugin-info.c b/gplugin/gplugin-plugin-info.c
--- a/gplugin/gplugin-plugin-info.c
+++ b/gplugin/gplugin-plugin-info.c
@@ -21,20 +21,6 @@
 #include <gplugin/gplugin-private.h>
 
 /**
- * SECTION:gplugin-plugin-info
- * @Title: Plugin Info Objects
- * @Short_description: information about plugins.
- *
- * #GPluginPluginInfo holds metadata for plugins.
- */
-
-/**
- * GPLUGIN_TYPE_PLUGIN_INFO:
- *
- * The standard _get_type macro for #GPluginPluginInfo.
- */
-
-/**
  * GPluginPluginInfo:
  *
  * #GPluginPluginInfo holds all of the data about a plugin.  It is created when
diff --git a/gplugin/gplugin-plugin.c b/gplugin/gplugin-plugin.c
--- a/gplugin/gplugin-plugin.c
+++ b/gplugin/gplugin-plugin.c
@@ -22,16 +22,6 @@
 #include <gplugin/gplugin-private.h>
 
 /**
- * SECTION:gplugin-plugin
- * @Title: Plugin Interface
- * @Short_description: The plugin interface that all plugins must implement.
- *
- * #GPluginPlugin is an interface that defines the behavior of plugins.  It
- * is implemented by each loader which add additional data for their
- * implementation.
- */
-
-/**
  * GPluginPluginState:
  * @GPLUGIN_PLUGIN_STATE_UNKNOWN: The state of the plugin is unknown.
  * @GPLUGIN_PLUGIN_STATE_ERROR: There was an error loading or unloading the
@@ -46,15 +36,10 @@
  */
 
 /**
- * GPLUGIN_TYPE_PLUGIN:
- *
- * The standard _get_type macro for #GPluginPlugin.
- */
-
-/**
  * GPluginPlugin:
  *
- * #GPluginPlugin is an opaque data structure and should not be used directly.
+ * #GPluginPlugin is an interface that represents what GPlugin expects for a
+ * plugin.
  */
 
 /**
diff --git a/gplugin/gplugin-version.c b/gplugin/gplugin-version.c
--- a/gplugin/gplugin-version.c
+++ b/gplugin/gplugin-version.c
@@ -15,16 +15,6 @@
  * License along with this library; if not, see <https://www.gnu.org/licenses/>.
  */
 
-/**
- * SECTION:gplugin-version
- * @Title: Version Information
- * @Short_description: variables and functions to check the version of GPlugin.
- *
- * GPlugin provided version information, primarily useful when building against
- * GPlugin. Applications will not typically use the features described here
- * unless checking for new versions during builds.
- */
-
 #include <stdlib.h>
 
 #include <glib/gi18n-lib.h>
